<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/preview_main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.PreviewActivity">
    <RelativeLayout
        android:id="@+id/preview_top"
        android:layout_width="match_parent"
        android:layout_height="36dp"
        android:paddingRight="24dp"
        android:paddingLeft="24dp"
        android:layout_centerHorizontal="true"
        android:layout_alignParentTop="true"
        android:layout_marginTop="56dp">
        <ImageView
            android:id="@+id/preview_back"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:background="@drawable/record_back_bg"
            android:src="@drawable/record_back_src"
            android:padding="10dp"/>
        <TextView
            android:id="@+id/preview_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/New_record"
            android:textSize="24sp"
            android:textColor="@color/white"
            android:layout_centerVertical="true"
            android:layout_centerHorizontal="true"
            android:gravity="center"/>
    </RelativeLayout>
    <ImageView
        android:id="@+id/preview_image"
        android:layout_width="170dp"
        android:layout_below="@id/preview_top"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="90dp"
        android:layout_height="180dp"/>
    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="47dp"
        app:cardCornerRadius="30dp"
        android:layout_below="@id/preview_image">
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_marginTop="47dp"
            android:paddingLeft="24dp"
            android:paddingRight="24dp"
            android:layout_height="wrap_content">
            <ImageView
                android:id="@+id/preview_slience"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:background="@drawable/no_sounds_bg"
                android:layout_centerVertical="true"/>
            <SeekBar
                android:id="@+id/preview_seekbar"
                android:layout_width="242.25dp"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:layout_height="12dp" />
            <ImageView
                android:id="@+id/preview_out_sounds"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_centerVertical="true"
                android:background="@drawable/sounds_bg"
                android:layout_alignParentEnd="true"/>
        </RelativeLayout>
        <!-- Auto layout, variables, and unit scale are not yet supported -->
        <RelativeLayout
            android:id="@+id/preview_control"
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:layout_centerHorizontal="true"
            android:layout_below="@id/preview_image"
            android:paddingLeft="40dp"
            android:paddingRight="40dp"
            android:layout_marginTop="167dp">
            <ImageView
                android:id="@+id/preview_re_song"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_centerVertical="true"
                android:background="@drawable/no_recycle"/>
            <android.widget.Button
                android:id="@+id/preview_play"
                android:layout_width="70dp"
                android:layout_height="70dp"
                android:background="@drawable/sounds_play_bg"
                android:layout_centerHorizontal="true"/>
            <ImageView
                android:id="@+id/preview_like"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_centerVertical="true"
                android:layout_alignParentEnd="true"
                android:background="@drawable/unlike_bg"/>
        </RelativeLayout>
    </androidx.cardview.widget.CardView>
</RelativeLayout>